#include <stdio.h>
#include <stdint.h>

int64_t n;

int64_t cnt(int64_t num) {
	return num * (num + 1) / 2;
}

int main() {
	scanf("%lld", &n);

	int64_t ans = cnt(n);
	int64_t odd = 0;
	
	for (int64_t i = 0; i < n; ++i) {
		int64_t x;
		scanf("%lld", &x);
		if (x % 2) {
			++odd;
		} else {
			ans -= cnt(odd);
			odd = 0;
		}
	}
	ans -= cnt(odd);
	printf("%d\n", ans);
}